Summary: Groupid tracking plugin for the LCMAPS authorization framework
Name: lcmaps-plugins-tracking-groupid
Version: 0.1.2
Release: 1%{?dist}
License: ASL 2.0
Group: System Environment/Libraries
URL: http://wiki.nikhef.nl/grid/Site_Access_Control
Source0: http://software.nikhef.nl/security/%{name}/%{name}-%{version}.tar.gz
BuildRequires: lcmaps-devel
Requires: lcmaps%{?_isa} >= 1.5.0

# BuildRoot is still required for EPEL5
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
The Local Centre MAPping Service (LCMAPS) is a security middleware
component that processes the users Grid credentials (typically X.509
proxy certificates and VOMS attributes) and maps the user to a local
account based on the site local policy.

This package contains the tracking group ID plug-in. This plug-in will
add one or more secondary Group IDs to the final mapping result. Some
batch systems can be configured to add a unique group ID to a batch
job to be able to track its movements; this should be preserved even
across user ID switches through LCMAPS.

%prep
%setup -q

%build

%configure --disable-static

# The following two lines were suggested by
# https://fedoraproject.org/wiki/Packaging/Guidelines to prevent any
# RPATHs creeping in.
# https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency
# to prevent unnecessary linking
%define fixlibtool() sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool\
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool\
sed -i -e 's! -shared ! -Wl,--as-needed\\0!g' libtool

%fixlibtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# clean up installed documentation files
rm -rf ${RPM_BUILD_ROOT}%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS LICENSE
%{_libdir}/lcmaps/lcmaps_tracking_groupid.mod
%{_libdir}/lcmaps/liblcmaps_tracking_groupid.so
%{_datadir}/man/man8/lcmaps_tracking_groupid.mod.8*


%changelog
* Fri Feb 28 2014 Mischa Salle <msalle@nikhef.nl> 0.1.2-1
- updated version

* Fri Feb 14 2014 Mischa Salle <msalle@nikhef.nl> 0.1.1-2
- clean up installed documentation files (breaks Fedora20)

* Thu Feb 13 2014 Mischa Salle <msalle@nikhef.nl> 0.1.1-1
- update builddep on lcmaps-devel instead of -interface
- prevent unnecessary linking
- specify BuildRoot (and clean section) for EPEL5
- remove defattr
- updated version

* Tue Oct 23 2012 Mischa Salle <msalle@nikhef.nl> 0.1.0-2
- Update URL.
- Add minimal, arch dependent run-time requirement on lcmaps.

* Thu Dec 15 2011 Mischa Salle <msalle@nikhef.nl> 0.1.0-1
- updated version

* Fri Jul 15 2011 Dennis van Dok <dennisvd@nikhef.nl> 0.0.2-1
- removed vendor tag
- disabled versioning
- changed moduledir

* Wed Apr  6 2011 Dennis van Dok <dennisvd@nikhef.nl> 0.0.1-1
- Initial build

